Debian Bug report logs - #279824
RM: perlftlib -- RoQA; buggy, orphaned

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Fri, 5 Nov 2004 06:19:11 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>, <wnpp@debian.org>:
Bug#279824; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Stephen Zander <gibreel@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: perlftlib -- Perl module for the FreeType library
Date: Fri, 05 Nov 2004 07:08:35 +0100
Package: wnpp
Severity: normal

The current maintainer of perlftlib, Stephen Zander <gibreel@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: perlftlib
Binary: fttools, libft-perl
Version: 1.2-13.1
Priority: optional
Section: interpreters
Maintainer: Stephen Zander <gibreel@debian.org>
Build-Depends: debhelper (>= 3.0.5), freetype2-dev, perl (>= 5.8)
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/p/perlftlib
Files: 4c72c2b481183d7b5581d43b09f4f4ee 610 perlftlib_1.2-13.1.dsc
 30b2ecaeab046ee964b1b788481d137a 24585 perlftlib_1.2.orig.tar.gz
 7324b441493784ab8299b66078a9668b 8220 perlftlib_1.2-13.1.diff.gz

Package: fttools
Priority: optional
Section: utils
Installed-Size: 80
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: all
Source: perlftlib
Version: 1.2-13.1
Replaces: ftinfo, mkttfdir
Depends: perl, libft-perl, libjcode-pm-perl
Suggests: ttmkfdir
Conflicts: ftinfo, mkttfdir
Filename: pool/main/p/perlftlib/fttools_1.2-13.1_all.deb
Size: 12118
MD5sum: 1b82ba2b0c852641c4199a79ffc82c55
Description: FreeType font utilities.
 mkttfdir utility generates font.dir file for TrueType font.
 ftinfo utility reports TrueType font info.
 .
 mkttfdir only supports iso8859-1 and JIS encodings.  For other font
 encoding try the ttmkfdir package.

Package: libft-perl
Priority: optional
Section: perl
Installed-Size: 232
Maintainer: Stephen Zander <gibreel@debian.org>
Architecture: i386
Source: perlftlib
Version: 1.2-13.1
Replaces: libfreetype-perl
Depends: perlapi-5.8.0, perl (>= 5.8.0-10), libc6 (>= 2.2.5-13), libttf2
Conflicts: libfreetype-perl
Filename: pool/main/p/perlftlib/libft-perl_1.2-13.1_i386.deb
Size: 45968
MD5sum: 3a59d645e85d2481eb651dddcd137bfd
Description: Perl module for the FreeType library
 This module lets you use the FreeType library from perl.

Justification: Mail bouncing for 3 months, last upload half a year ago



Blocking bugs of 279824 added: 460036 Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Sun, 02 Mar 2008 18:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279824; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 279824@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: debian-qa@lists.debian.org, 279824@bugs.debian.org
Subject: Re: Removal suggestion: perlftlib
Date: Sat, 26 Jul 2008 00:27:45 +0200
reassign 279824 ftp.debian.org
retitle 279824 RM: perlftlib -- RoQA; buggy, orphaned
thanks

On Fri, Jul 25, 2008 at 08:22:50PM +0200, Moritz Muehlenhoff wrote:
> Frank Lichtenheld wrote:
> > On Wed, Jul 23, 2008 at 10:28:33PM +0200, Moritz Muehlenhoff wrote:
> > > perlftlib can be removed, I've sponsored the last package build-depending
> > > on it recently and it's coupled to freetype 1, which won't be included
> > > in Lenny.
> > 
> > defoma still recommends it. Has someone verified that this can be
> > dropped without harm?
> 
> Some functionality wrt hint generation is lost, but the font packages
> using it have been adapted by now and the change has been done for
> Lenny for some time now.
> 
> > And maybe #478983's severity should be upgraded.
> 
> I've added it to http://wiki.debian.org/ReleaseGoalRecommends

So let's reassign the WNPP bug to ftp.debian.org

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 25 Jul 2008 22:30:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: perlftlib -- RoQA; buggy, orphaned' from `O: perlftlib -- Perl module for the FreeType library'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Fri, 25 Jul 2008 22:30:03 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 279824-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 279824-close@bugs.debian.org
Cc: perlftlib@packages.debian.org, perlftlib@packages.qa.debian.org
Subject: Bug#279824: fixed
Date: Tue, 26 Aug 2008 18:07:43 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

   fttools |     1.2-16 | all
libft-perl |     1.2-16 | alpha, amd64, arm, armel, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
 perlftlib |     1.2-16 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 279824@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Thomas Viehmann (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#279824; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #26 received at 279824@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 279824@bugs.debian.org, 279824-submitter@bugs.debian.org, Frank Lichtenheld <djpig@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, debian-qa@lists.debian.org
Subject: Removal impact of perlftlib was big for truetype package creation
Date: Sat, 6 Sep 2008 04:22:27 +0900
Hi,

I know this 

Package: perlftlib
Binary: fttools, libft-perl

are removed from archive.

If a packager want to create truetype font file using defoma-hints as
described in the manual, this happens now.

osamu@snoopy:/usr/share/fonts/truetype/ttf-dejavu$ defoma-hints truetype DejaVuSans.ttf 
Wait for second...
defoma-hints Can't locate FreeType.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at (eval 4) line 2.

Now we have broken defoma system for font package creator.  

I think this was recomment since defoma for system user do not use this.

I personally think it is better to get this package back to testing to
have functioning build helper system for our defoma until we dump
defoma.

Osamu





Message sent on to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#279824. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#279824; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Thomas Viehmann <tv@beamnet.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #34 received at 279824@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: Osamu Aoki <osamu@debian.org>, 279824@bugs.debian.org
Cc: 279824-submitter@bugs.debian.org, Frank Lichtenheld <djpig@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, debian-qa@lists.debian.org
Subject: Re: Bug#279824: Removal impact of perlftlib was big for truetype package creation
Date: Fri, 05 Sep 2008 21:38:43 +0200
Hi,

Osamu Aoki wrote:
> If a packager want to create truetype font file using defoma-hints as
> described in the manual, this happens now.
So this happens when creating new font packages or with existing
packages upon rebuilding or upon installation?

> I personally think it is better to get this package back to testing to
> have functioning build helper system for our defoma until we dump
> defoma.
How many packages currently in lenny will be broken by this?
If it isn't in the dozens, we might as well not.

Quite frankly, if it is just creating new packages, it's a better idea
to fix some RC bugs now and drop defoma as soon as lenny is out the door.

Kind regards

T.
-- 
Thomas Viehmann, http://thomas.viehmann.net/




Message sent on to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#279824. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#279824; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #42 received at 279824@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Thomas Viehmann <tv@beamnet.de>
Cc: 279824@bugs.debian.org, 279824-submitter@bugs.debian.org, Frank Lichtenheld <djpig@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, debian-qa@lists.debian.org
Subject: Re: Bug#279824: Removal impact of perlftlib was big for truetype package creation
Date: Sat, 6 Sep 2008 05:00:09 +0900
On Fri, Sep 05, 2008 at 09:38:43PM +0200, Thomas Viehmann wrote:
> Hi,
> 
> Osamu Aoki wrote:
> > If a packager want to create truetype font file using defoma-hints as
> > described in the manual, this happens now.
> So this happens when creating new font packages i

Yes. This is manually run command like dh_make.

> or with existing packages upon rebuilding or upon installation?

No.

> > I personally think it is better to get this package back to testing to
> > have functioning build helper system for our defoma until we dump
> > defoma.
> How many packages currently in lenny will be broken by this?
> If it isn't in the dozens, we might as well not.
> 
> Quite frankly, if it is just creating new packages, it's a better idea
> to fix some RC bugs now and drop defoma as soon as lenny is out the door.

If that is agreed view on defoma, there is no need to reactivate this
package.

> Kind regards

Thanks.




Message sent on to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#279824. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Oct 2008 07:27:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:57:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.